Package org.eclipse.rdf4j.sail.shacl.ast.paths

## Class Path

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.paths.Path

- All Implemented Interfaces:
    `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.Identifiable`, `org.eclipse.rdf4j.sail.shacl.ast.Targetable`
  Direct Known Subclasses:
    `AlternativePath`, `InversePath`, `OneOrMorePath`, `SequencePath`, `SimplePath`, `ZeroOrMorePath`, `ZeroOrOnePath`

      public abstract class Path
      extends Object
      implements org.eclipse.rdf4j.sail.shacl.ast.Identifiable, org.eclipse.rdf4j.sail.shacl.ast.Exportable, org.eclipse.rdf4j.sail.shacl.ast.Targetable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Path​(Resource id)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Path` | `buildPath​(RepositoryConnection connection, Resource id)` |
    `abstract PlanNode` | `getAdded​(ConnectionsGroup connectionsGroup, PlanNodeWrapper planNodeWrapper)` |
    `Resource` | `getId()` |
    `abstract boolean` | `isSupported()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.Exportable

      `toModel`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.Targetable

      `getStatementMatcher, getTargetQueryFragment`

- - ### Constructor Detail

    - #### Path

          public Path​(Resource id)

  - ### Method Detail

    - #### getId

          public Resource getId()

      Specified by:
        `getId` in interface `org.eclipse.rdf4j.sail.shacl.ast.Identifiable`

    - #### buildPath

          public static Path buildPath​(RepositoryConnection connection,
                                       Resource id)

    - #### getAdded

          public abstract PlanNode getAdded​(ConnectionsGroup connectionsGroup,
                                            PlanNodeWrapper planNodeWrapper)

    - #### isSupported

          public abstract boolean isSupported()

      Returns:
        true if feature is currently supported by the ShaclSail